# deriveXAddress | xrpl
Documentation for xrpl

# Function deriveXAddress

- deriveXAddress(options: {
  publicKey: string;
  tag: number | false;
  test: boolean;
  }): string

- Derive an X-Address from a public key and a destination tag.

  ### Returns

  X-Address.

  #### Parameters

  - ##### options: {
    publicKey: string;
    tag: number | false;
    test: boolean;
    }

    Public key and destination tag to encode as an X-Address.

    - ##### publicKey: string

      The public key corresponding to an address.

    - ##### tag: number | false

      A destination tag to encode into an X-address. False indicates no destination tag.

    - ##### test: boolean

      Whether this address is for use in Testnet.

  #### Returns string

  - Defined in packages/xrpl/src/utils/derive.ts:14

Generated using TypeDoc